;InnoSetupVersion=4.2.1

[Setup]
AppName=Registry Mechanic
AppVerName=Registry Mechanic
AppId=Registry Mechanic
AppVersion=3.0
AppPublisher=WinGuides Software
AppPublisherURL=http://www.winguides.com/regmech/
AppSupportURL=http://www.winguides.com/regmech/
AppUpdatesURL=http://www.winguides.com/regmech/
AppMutex=GuideWorksRegistryMechanic
DefaultDirName={pf}\Registry Mechanic
DefaultGroupName=Registry Mechanic
OutputBaseFilename=rminstall
Compression=lzma
PrivilegesRequired=poweruser
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\Help.chm"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\RegMech.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\RegMech.exe.manifest"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\ref\Deutsch.ini"; DestDir: "{app}\ref"; Flags: ignoreversion 
Source: "{app}\ref\English.ini"; DestDir: "{app}\ref"; Flags: ignoreversion 
Source: "{app}\ref\Espaol.ini"; DestDir: "{app}\ref"; Flags: ignoreversion 
Source: "{app}\ref\Franais.ini"; DestDir: "{app}\ref"; Flags: ignoreversion 
Source: "{app}\ref\IngnorList.lst"; DestDir: "{app}\ref"; Flags: ignoreversion 
Source: "{sys}\msvbvm60.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver sharedfile 
Source: "{sys}\MSCOMCTL.OCX"; DestDir: "{sys}"; Flags: restartreplace regserver sharedfile 
Source: "{sys}\MSFLXGRD.OCX"; DestDir: "{sys}"; Flags: restartreplace regserver sharedfile 
Source: "{sys}\scrrun.dll"; DestDir: "{sys}"; OnlyBelowVersion: 0.0,5.0; Flags: restartreplace regserver sharedfile 

[Dirs]
Name: "{app}\ref"; Flags: uninsalwaysuninstall 
Name: "{app}\backup"; Flags: uninsalwaysuninstall 
Name: "{app}\log"; Flags: uninsalwaysuninstall 
Name: "{app}\sound"; Flags: uninsalwaysuninstall 

[Registry]
Root: HKLM; Subkey: "Software\WinGuides"; Flags: uninsdeletekeyifempty 
Root: HKLM; Subkey: "Software\WinGuides\Registry Mechanic"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\WinGuides\Registry Mechanic\Path"; ValueName: "BackUpFile"; ValueType: String; ValueData: "{app}\backup"; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "Software\WinGuides\Registry Mechanic\Path"; ValueName: "LogFile"; ValueType: String; ValueData: "{app}\log"; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "Software\WinGuides\Registry Mechanic\Path"; ValueName: "RefFile"; ValueType: String; ValueData: "{app}\ref"; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "Software\WinGuides\Registry Mechanic\Path"; ValueName: "SoundFile"; ValueType: String; ValueData: "{app}\sound"; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "Software\WinGuides\Registry Mechanic\Settings"; ValueName: "Help"; ValueType: String; ValueData: "{app}\help.chm"; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "Software\WinGuides\Registry Mechanic\Settings"; ValueName: "Support"; ValueType: String; ValueData: "http://www.winguides.com/regmech/"; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "Software\WinGuides\Registry Mechanic\Settings"; ValueName: "ShowRegScreen"; ValueType: String; ValueData: "0"; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "Software\WinGuides\Registry Mechanic\Settings"; ValueName: "BuyNow"; ValueType: String; ValueData: "http://www.winguides.com/regmech/?action=purchase"; Flags: uninsdeletevalue 
Root: HKCU; Subkey: "Software\WinGuides"; Flags: uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\WinGuides\Registry Mechanic"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\WinGuides\Registry Mechanic\Language"; ValueName: "default"; ValueType: String; ValueData: "English"; Flags: uninsdeletevalue 
Root: HKU; Subkey: ".DEFAULT\Software\WinGuides\Registry Mechanic\Language"; ValueName: "default"; ValueType: String; ValueData: "English"; Flags: uninsdeletevalue 
Root: HKCU; Subkey: "Software\WinGuides\Registry Mechanic\Options"; ValueName: "AutoBackup"; ValueType: String; ValueData: "0"; Flags: uninsdeletevalue 
Root: HKCU; Subkey: "Software\WinGuides\Registry Mechanic\Options"; ValueName: "NoConfirmation"; ValueType: String; ValueData: "0"; Flags: uninsdeletevalue 
Root: HKCU; Subkey: "Software\WinGuides\Registry Mechanic\Options"; ValueName: "Startup"; ValueType: String; ValueData: "0"; Flags: uninsdeletevalue 
Root: HKCU; Subkey: "Software\WinGuides\Registry Mechanic\Options"; ValueName: "Suggest"; ValueType: String; ValueData: "0"; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Run"; ValueName: "RegistryMechanic"; ValueType: String; ValueData: "{app}\RegMech.exe /QS"; Tasks: autostart; Flags: uninsdeletevalue 
Root: HKCU; Subkey: "Software\WinGuides\Registry Mechanic\Options"; ValueName: "Startup"; ValueType: String; ValueData: "1"; Tasks: autostart; Flags: uninsdeletevalue 

[INI]
FileName: "{app}\regmech.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.winguides.com/regmech/"; 

[Run]
Filename: "{app}\regmech.exe"; Description: "Launch Registry Mechanic"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\Registry Mechanic"; Filename: "{app}\regmech.exe"; WorkingDir: "{app}"; 
Name: "{group}\Home Page"; Filename: "{app}\regmech.url"; 
Name: "{group}\Uninstall Registry Mechanic"; Filename: "{uninstallexe}"; 
Name: "{commondesktop}\Registry Mechanic"; Filename: "{app}\regmech.exe"; WorkingDir: "{app}"; Tasks: desktopicon; 
Name: "{commonappdata}\Microsoft\Internet Explorer\Quick Launch\Registry Mechanic"; Filename: "{app}\regmech.exe"; WorkingDir: "{app}"; Comment: "Launch Registry Mechanic"; Tasks: quicklaunchicon; 

[Tasks]
Name: "autostart"; Description: "&Automatically scan registry when Windows starts"; GroupDescription: "Options:"; 
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 

[InstallDelete]
Type: files; Name: "{userdesktop}\Registry Mechanic.lnk"; 
Type: files; Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Registry Mechanic.lnk"; 

[UninstallDelete]
Type: files; Name: "{app}\log\*.log"; 
Type: files; Name: "{app}\backup\*.*"; 
Type: files; Name: "{app}\ref\*.ini"; 
Type: files; Name: "{app}\sound\*.wav"; 
Type: files; Name: "{app}\regmech.url"; 

[CustomMessages]
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
